Role (Tomcat API Documentation)
Keywords: org.apache.catalina.Role interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Interface Role

All Superinterfaces:
  java.security.Principal

All Known Implementing Classes:
  AbstractRole, MemoryRole

    public interface Role

extends java.security.Principal

Abstract representation of a security role, suitable for use in environments like JAAS that want to deal with `Principals`.

Since:
  4.1
Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Craig R. McClanahan

Method Summary
`java.lang.String` | `getDescription()` Return the description of this role.
`java.lang.String` | `getRolename()` Return the role name of this role, which must be unique within the scope of a `UserDatabase`.
`UserDatabase` | `getUserDatabase()` Return the `UserDatabase` within which this Role is defined.
`void` | `setDescription(java.lang.String description)` Set the description of this role.
`void` | `setRolename(java.lang.String rolename)` Set the role name of this role, which must be unique within the scope of a `UserDatabase`.

Methods inherited from interface java.security.Principal
`equals, getName, hashCode, toString`

Method Detail

### getDescription

    java.lang.String getDescription()

  Return the description of this role.

### setDescription

    void setDescription(java.lang.String description)

  Set the description of this role.

  Parameters:
    `description` - The new description

### getRolename

    java.lang.String getRolename()

  Return the role name of this role, which must be unique within the scope of a `UserDatabase`.

### setRolename

    void setRolename(java.lang.String rolename)

  Set the role name of this role, which must be unique within the scope of a `UserDatabase`.

  Parameters:
    `rolename` - The new role name

### getUserDatabase

    UserDatabase getUserDatabase()

  Return the `UserDatabase` within which this Role is defined.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.